import {
  __esm,
  __objRest
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/quotes/index.ts
function createQuotesResource(instanceId, client) {
  return {
    create(_a) {
      var data = __objRest(_a, []);
      return client.post(`/instances/${instanceId}/quotes`, data);
    },
    getFxRate(_b) {
      var data = __objRest(_b, []);
      return client.post(`/instances/${instanceId}/quotes/fx`, data);
    }
  };
}
var init_quotes = __esm({
  "src/resources/quotes/index.ts"() {
  }
});

export {
  createQuotesResource,
  init_quotes
};
